=== debian/watch ===
version=4
https://github.com/Azure/azure-nvme-utils/tags .*/v?(\d.*)@ARCHIVE_EXT@
